Index: build-system/configure.lib
===================================================================
--- build-system/configure.lib	(revision 5810)
+++ build-system/configure.lib	(revision 5849)
@@ -431,4 +431,5 @@
   $fPIC     && echo 'fPIC=-fPIC'
   $Wextra   && echo 'Wextra=-Wextra'
+  echo "Wall=-Wall"
   echo
   echo "CC=$CC"
@@ -439,4 +440,6 @@
   echo
   echo "OPTI_O=-O$OPTI_O"
+  echo "DEBUG_g=-g"
+  echo "IMPLIB=$IMPLIB"
   echo
   [ "$CFLAGS"  != '' ] && echo "CFLAGS  += $CFLAGS"
Index: build-system/configure.vars
===================================================================
--- build-system/configure.vars	(revision 5810)
+++ build-system/configure.vars	(revision 5849)
@@ -92,4 +92,6 @@
 EXEC_HELPER=''
 
+IMPLIB=''
+
 # other stuff we need to reset:
 infotext=''
Index: libroar/Makefile
===================================================================
--- libroar/Makefile	(revision 5825)
+++ libroar/Makefile	(revision 5849)
@@ -2,7 +2,9 @@
 include ../Makefile.inc
 
-SLIB=libroar$(SHARED_SUFFIX)
+BASENAME=libroar
+SLIB=$(BASENAME)$(SHARED_SUFFIX)
+ALIB=$(BASENAME).a
 
-TARGETS=$(SLIB) libroar.a
+TARGETS=$(SLIB) $(ALIB) $(IMPLIB)
 VIO_META=vio.o vio_select.o vio_ops.o vio_string.o
 VIO_BRIDGE=vio_bio.o vio_stdio.o
@@ -16,6 +18,6 @@
 #DEFINES+= -D_LIBROAR_NOATTR_WARNINGS
 INCLUDE = -I../include -I../include/libroar
-CFLAGS += -g -Wall $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
-LDFLAGS+= -g -Wall $(SHARED) $(LDPATH)
+CFLAGS += $(DEBUG_g) $(Wall) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
+LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) $(LDPATH)
 LIBS    = $(LIBROAR_NS)
 
@@ -29,5 +31,5 @@
 $(SLIB): ${OBJS}
 	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROAR_V) -o $(SLIB) ${OBJS} ${LIBS}
-libroar.a: ${OBJS}
-	${AR} cru libroar.a ${OBJS}
-	${RANLIB} libroar.a
+$(ALIB): ${OBJS}
+	${AR} cru $(ALIB) ${OBJS}
+	${RANLIB} $(ALIB)
Index: libroardsp/Makefile
===================================================================
--- libroardsp/Makefile	(revision 5548)
+++ libroardsp/Makefile	(revision 5849)
@@ -2,7 +2,9 @@
 include ../Makefile.inc
 
-SLIB=libroardsp$(SHARED_SUFFIX)
+BASENAME=libroardsp
+SLIB=$(BASENAME)$(SHARED_SUFFIX)
+ALIB=$(BASENAME).a
 
-TARGETS=$(SLIB) libroardsp.a
+TARGETS=$(SLIB) $(ALIB) $(IMPLIB)
 OBJS=libroardsp.o convert.o midside.o poly.o filter.o filterchain.o remove.o transcode.o vio_transcode.o rms.o fader.o mixer.o amp.o interleave.o channels.o resampler_poly3.o float.o dtmf.o
 OLDROAR=midi.o
@@ -16,6 +18,6 @@
 #DEFINES        = -DDEBUG
 INCLUDE = -I../include -I../include/libroardsp
-CFLAGS += -g -Wall $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
-LDFLAGS+= -g -Wall $(SHARED) -L../lib/ $(LDPATH)
+CFLAGS += $(DEBUG_g) $(Wall) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
+LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) -L../lib/ $(LDPATH)
 
 LIBS      = $(LIBROARDSP_NS)
@@ -30,5 +32,5 @@
 $(SLIB): $(ALLOBJS)
 	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROARDSP_V) -o $(SLIB) $(ALLOBJS) $(LIBS)
-libroardsp.a: $(ALLOBJS)
-	${AR} cru libroardsp.a $(ALLOBJS)
-	${RANLIB} libroardsp.a
+$(ALIB): $(ALLOBJS)
+	${AR} cru $(ALIB) $(ALLOBJS)
+	${RANLIB} $(ALIB)
Index: libroareio/Makefile
===================================================================
--- libroareio/Makefile	(revision 5270)
+++ libroareio/Makefile	(revision 5849)
@@ -2,7 +2,9 @@
 include ../Makefile.inc
 
-SLIB=libroareio$(SHARED_SUFFIX)
+BASENAME=libroareio
+SLIB=$(BASENAME)$(SHARED_SUFFIX)
+ALIB=$(BASENAME).a
 
-TARGETS=$(SLIB) libroareio.a
+TARGETS=$(SLIB) $(ALIB) $(IMPLIB)
 DRIVER=driver.o driver_oss.o driver_roar.o esdfw.a
 FF=ff_ssdp.o
@@ -11,6 +13,6 @@
 #DEFINES        = -DDEBUG
 INCLUDE = -I../include -I../include/libroareio
-CFLAGS += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
-LDFLAGS+= -g -Wall $(Wextra) $(SHARED) -L../lib/ $(LDPATH)
+CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
+LDFLAGS+= $(DEBUG_g) $(Wall) $(Wextra) $(SHARED) -L../lib/ $(LDPATH)
 LIBS    = $(LIBROAREIO_NS)
 
@@ -28,7 +30,7 @@
 $(SLIB): ${OBJS}
 	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROAREIO_V) -o $(SLIB) $(OBJS) $(LIBS)
-libroareio.a: ${OBJS}
-	${AR} cru libroareio.a ${OBJS}
-	${RANLIB} libroareio.a
+$(ALIB): ${OBJS}
+	${AR} cru $(ALIB) ${OBJS}
+	${RANLIB} $(ALIB)
 
 driver.c: autodetected.h
Index: libroaresd/Makefile
===================================================================
--- libroaresd/Makefile	(revision 5270)
+++ libroaresd/Makefile	(revision 5849)
@@ -2,14 +2,15 @@
 include ../Makefile.inc
 
-LIB_BASENAME=libroaresd
-SLIB=$(LIB_BASENAME)$(SHARED_SUFFIX)
+BASENAME=libroaresd
+SLIB=$(BASENAME)$(SHARED_SUFFIX)
+ALIB=$(BASENAME).a
 
-TARGETS=$(SLIB) $(LIB_BASENAME).a
+TARGETS=$(SLIB) $(ALIB) $(IMPLIB)
 OBJS=libroaresd.o esdbasic.o esdctl.o esdstream.o esdsample.o esdfile.o
 
 #DEFINES        = -DDEBUG
 INCLUDE = -I../include -I../include/libroaresd
-CFLAGS += -g -Wall $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
-LDFLAGS+= -g -Wall $(SHARED) $(LDPATH) -L../lib/
+CFLAGS += $(DEBUG_g) $(Wall) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
+LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) $(LDPATH) -L../lib/
 LIBS    = $(LIBROAR)
 
@@ -23,5 +24,5 @@
 $(SLIB): ${OBJS}
 	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_SOVERSION) -o $(SLIB) ${OBJS} ${LIBS}
-$(LIB_BASENAME).a: ${OBJS}
-	${AR} cru $(LIB_BASENAME).a ${OBJS}
-	${RANLIB} $(LIB_BASENAME).a
+$(ALIB): ${OBJS}
+	${AR} cru $(ALIB) ${OBJS}
+	${RANLIB} $(ALIB)
Index: libroarlight/Makefile
===================================================================
--- libroarlight/Makefile	(revision 4748)
+++ libroarlight/Makefile	(revision 5849)
@@ -2,13 +2,15 @@
 include ../Makefile.inc
 
-SLIB=libroarlight$(SHARED_SUFFIX)
+BASENAME=libroarlight
+SLIB=$(BASENAME)$(SHARED_SUFFIX)
+ALIB=$(BASENAME).a
 
-TARGETS=$(SLIB) libroarlight.a
+TARGETS=$(SLIB) $(ALIB) $(IMPLIB)
 OBJS=libroarlight.o colors.o roardmx.o pwm.o
 
 #DEFINES        = -DDEBUG
 INCLUDE = -I../include -I../include/libroarlight
-CFLAGS += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
-LDFLAGS+= -g $(SHARED) -L../lib/ $(LDPATH)
+CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
+LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) -L../lib/ $(LDPATH)
 LIBS    = $(LIBROARLIGHT_NS)
 
@@ -22,5 +24,5 @@
 $(SLIB): ${OBJS}
 	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROARLIGHT_V) -o $(SLIB) ${OBJS} ${LIBS}
-libroarlight.a: ${OBJS}
-	${AR} cru libroarlight.a ${OBJS}
-	${RANLIB} libroarlight.a
+$(ALIB): ${OBJS}
+	${AR} cru $(ALIB) ${OBJS}
+	${RANLIB} $(ALIB)
Index: libroarmidi/Makefile
===================================================================
--- libroarmidi/Makefile	(revision 4748)
+++ libroarmidi/Makefile	(revision 5849)
@@ -2,13 +2,15 @@
 include ../Makefile.inc
 
-SLIB=libroarmidi$(SHARED_SUFFIX)
+BASENAME=libroarmidi
+SLIB=$(BASENAME)$(SHARED_SUFFIX)
+ALIB=$(BASENAME).a
 
-TARGETS=$(SLIB) libroarmidi.a
+TARGETS=$(SLIB) $(ALIB) $(IMPLIB)
 OBJS=libroarmidi.o
 
 #DEFINES        = -DDEBUG
 INCLUDE = -I../include -I../include/libroarmidi
-CFLAGS += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
-LDFLAGS+= -g $(SHARED) -L../lib/ $(LDPATH)
+CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
+LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) -L../lib/ $(LDPATH)
 LIBS    = $(LIBROARMIDI_NS)
 
@@ -22,5 +24,5 @@
 $(SLIB): ${OBJS}
 	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(LIBROARMIDI_V) -o $(SLIB) ${OBJS} ${LIBS}
-libroarmidi.a: ${OBJS}
-	${AR} cru libroarmidi.a ${OBJS}
-	${RANLIB} libroarmidi.a
+$(ALIB): ${OBJS}
+	${AR} cru $(ALIB) ${OBJS}
+	${RANLIB} $(ALIB)
Index: libroaross/Makefile
===================================================================
--- libroaross/Makefile	(revision 4748)
+++ libroaross/Makefile	(revision 5849)
@@ -2,13 +2,15 @@
 include ../Makefile.inc
 
-SLIB=libroaross$(SHARED_SUFFIX)
+BASENAME=libroaross
+SLIB=$(BASENAME)$(SHARED_SUFFIX)
+ALIB=$(BASENAME).a
 
-TARGETS=$(SLIB) libroaross.a
+TARGETS=$(SLIB) $(ALIB) $(IMPLIB)
 OBJS=libroaross.o
 
 #DEFINES = -DDEBUG
 INCLUDE = -I../include -I../include/libroar
-CFLAGS += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
-LDFLAGS+= -g $(SHARED) $(LDPATH) -L../lib
+CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
+LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) $(LDPATH) -L../lib
 LIBS    = $(LIBROAR) $(LIBROARLIGHT) $(lib_dl)
 
@@ -22,5 +24,5 @@
 $(SLIB): ${OBJS}
 	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_SOVERSION) -o $(SLIB) ${OBJS} ${LIBS}
-libroaross.a: ${OBJS}
-	${AR} cru libroaross.a ${OBJS}
-	${RANLIB} libroaross.a
+$(ALIB): ${OBJS}
+	${AR} cru $(ALIB) ${OBJS}
+	${RANLIB} $(ALIB)
Index: libroarpulse/Makefile
===================================================================
--- libroarpulse/Makefile	(revision 5510)
+++ libroarpulse/Makefile	(revision 5849)
@@ -14,6 +14,6 @@
 #DEFINES        = -DDEBUG
 INCLUDE = -I../include -I../include/libroarpulse
-CFLAGS += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
-LDFLAGS+= -g -Wall $(Wextra) $(LDPATH) -L../lib/ -L. -Wl,--version-script=version-script
+CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
+LDFLAGS+= $(DEBUG_g) $(Wall) $(Wextra) $(LDPATH) -L../lib/ -L. -Wl,--version-script=version-script
 LIBS    = $(LIBROAR)
 
Index: libroarrsound/Makefile
===================================================================
--- libroarrsound/Makefile	(revision 4748)
+++ libroarrsound/Makefile	(revision 5849)
@@ -2,13 +2,15 @@
 include ../Makefile.inc
 
-SLIB=libroarrsound$(SHARED_SUFFIX)
+BASENAME=libroarrsound
+LIB=$(BASENAME)$(SHARED_SUFFIX)
+ALIB=$(BASENAME).a
 
-TARGETS=$(SLIB) libroarrsound.a
+TARGETS=$(SLIB) $(ALIB) $(IMPLIB)
 OBJS=libroarrsound.o
 
 #DEFINES        = -DDEBUG
 INCLUDE = -I../include -I../include/libroarrsound
-CFLAGS += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
-LDFLAGS+= -g $(SHARED) $(LDPATH) -L../lib/
+CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
+LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) $(LDPATH) -L../lib/
 LIBS    = $(LIBROAR)
 
@@ -22,5 +24,5 @@
 $(SLIB): ${OBJS}
 	${CC} ${LDFLAGS} -Wl,-soname,$(SLIB).$(COMMON_SOVERSION) -o $(SLIB) ${OBJS} ${LIBS}
-libroarrsound.a: ${OBJS}
-	${AR} cru libroarrsound.a ${OBJS}
-	${RANLIB} libroarrsound.a
+$(ALIB): ${OBJS}
+	${AR} cru $(ALIB) ${OBJS}
+	${RANLIB} $(ALIB)