Index: libroararts/Makefile
===================================================================
--- libroararts/Makefile	(revision 5270)
+++ libroararts/Makefile	(revision 5851)
@@ -8,6 +8,6 @@
 #DEFINES        = -DDEBUG
 INCLUDE = -I../include -I../include/libroarpulse
-CFLAGS += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
-LDFLAGS+= -g -Wall $(Wextra) $(LDPATH) -L../lib/
+CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
+LDFLAGS+= $(DEBUG_g) $(Wall) $(Wextra) $(LDPATH) -L../lib/
 LIBS    = $(LIBROAR)
 
Index: libroarsndio/Makefile
===================================================================
--- libroarsndio/Makefile	(revision 5759)
+++ libroarsndio/Makefile	(revision 5851)
@@ -9,6 +9,6 @@
 #DEFINES        = -DDEBUG
 INCLUDE = -I../include -I../include/libroarsndio
-CFLAGS += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
-LDFLAGS+= -g $(SHARED) -L../lib/ $(LDPATH)
+CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
+LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) -L../lib/ $(LDPATH)
 LIBS    = $(LIBROAR)
 
Index: libroaryiff/Makefile
===================================================================
--- libroaryiff/Makefile	(revision 5270)
+++ libroaryiff/Makefile	(revision 5851)
@@ -7,6 +7,6 @@
 #DEFINES        = -DDEBUG
 INCLUDE = -I../include -I../include/libroaryiff
-CFLAGS += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
-LDFLAGS+= -g -Wall $(Wextra) $(SHARED) $(LDPATH) -L../lib/
+CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
+LDFLAGS+= $(DEBUG_g) $(Wall) $(Wextra) $(SHARED) $(LDPATH) -L../lib/
 LIBS    = $(LIBROAR)
 
Index: plugins/alsa/Makefile
===================================================================
--- plugins/alsa/Makefile	(revision 5165)
+++ plugins/alsa/Makefile	(revision 5851)
@@ -11,6 +11,6 @@
 #DEBUG=-DDEBUG -DXXX
 DEFINES=-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"alsa-plugins\" -DVERSION=\"1.0.13\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DSTDC_HEADERS=1 -DHAVE_LIBASOUND=1 -D_REENTRANT -DPIC
-CFLAGS += -g -Wall $(Wextra) $(OPTI_O) -I../../include $(DEFINES) $(DEBUG) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) -I/usr/include/alsa -D_GNU_SOURCE $(pthread)
-LDFLAGS+= -g $(SHARED) $(LDPATH) -L../../lib $(pthread)
+CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) -I../../include $(DEFINES) $(DEBUG) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) -I/usr/include/alsa -D_GNU_SOURCE $(pthread)
+LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) $(LDPATH) -L../../lib $(pthread)
 LIBS    = $(LIBROAR) $(lib_m) $(lib_dl) -lrt $(lib_asound)
 
Index: plugins/alsavs/Makefile
===================================================================
--- plugins/alsavs/Makefile	(revision 5263)
+++ plugins/alsavs/Makefile	(revision 5851)
@@ -14,6 +14,6 @@
 #DEBUG=-DDEBUG -DXXX
 DEFINES=-DPACKAGE_NAME=\"\" -DPACKAGE_TARNAME=\"\" -DPACKAGE_VERSION=\"\" -DPACKAGE_STRING=\"\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE=\"alsa-plugins\" -DVERSION=\"1.0.13\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DSTDC_HEADERS=1 -DHAVE_LIBASOUND=1 -D_REENTRANT -DPIC
-CFLAGS += -g -Wall $(Wextra) $(OPTI_O) -I../../include $(DEFINES) $(DEBUG) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) -I/usr/include/alsa -D_GNU_SOURCE $(pthread)
-LDFLAGS+= -g $(SHARED) $(LDPATH) -L../../lib $(pthread)
+CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) -I../../include $(DEFINES) $(DEBUG) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) -I/usr/include/alsa -D_GNU_SOURCE $(pthread)
+LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) $(LDPATH) -L../../lib $(pthread)
 LIBS    = $(LIBROAR) $(lib_m) $(lib_dl) -lrt $(lib_asound)
 
Index: plugins/ao/Makefile
===================================================================
--- plugins/ao/Makefile	(revision 4748)
+++ plugins/ao/Makefile	(revision 5851)
@@ -7,6 +7,6 @@
 
 #DEFINES=-DDEBUG
-CFLAGS += -g -Wall $(OPTI_O) -I../../include $(DEFINES) $(HAVE_MATRIX) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) $(AO_CFLAGS)
-LDFLAGS+= -g $(SHARED) $(LDPATH) -L../../lib
+CFLAGS += $(DEBUG_g) $(Wall) $(OPTI_O) -I../../include $(DEFINES) $(HAVE_MATRIX) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) $(AO_CFLAGS)
+LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) $(LDPATH) -L../../lib
 LIBS    = $(LIBROAR) $(AO_LIBS)
 
Index: plugins/audacious/Makefile
===================================================================
--- plugins/audacious/Makefile	(revision 4748)
+++ plugins/audacious/Makefile	(revision 5851)
@@ -8,6 +8,6 @@
 
 #DEFINES=-DDEBUG
-CFLAGS += -g -Wall $(OPTI_O) -I../../include $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) $(GTK_CFLAFS) $(XMMS_CFLAGS)
-LDFLAGS+= -g $(SHARED) $(LDPATH) -L../../lib
+CFLAGS += $(DEBUG_g) $(Wall) $(OPTI_O) -I../../include $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) $(GTK_CFLAFS) $(XMMS_CFLAGS)
+LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) $(LDPATH) -L../../lib
 LIBS    = $(LIBROAR) $(GTK_LIBS) $(XMMS_LIBS)
 
Index: plugins/gstreamer0.10/Makefile
===================================================================
--- plugins/gstreamer0.10/Makefile	(revision 4748)
+++ plugins/gstreamer0.10/Makefile	(revision 5851)
@@ -10,6 +10,6 @@
 #DEFINES        = -DDEBUG
 INCLUDE = -I. -I../include -I../include/libroar
-CFLAGS += -g -Wall $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) $(GST_CFLAGS)
-LDFLAGS+= -g -L../lib/ $(SHARED) $(LDPATH) $(LIBROAR) $(GST_LIBS) -lgstaudio-0.10
+CFLAGS += $(DEBUG_g) $(Wall) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) $(GST_CFLAGS)
+LDFLAGS+= $(DEBUG_g) $(Wall) -L../lib/ $(SHARED) $(LDPATH) $(LIBROAR) $(GST_LIBS) -lgstaudio-0.10
 
 all: $(TARGETS)
Index: plugins/roard/Makefile
===================================================================
--- plugins/roard/Makefile	(revision 5740)
+++ plugins/roard/Makefile	(revision 5851)
@@ -9,6 +9,6 @@
 #DEFINES        = -DDEBUG
 INCLUDE = -I../../include -I../..
-CFLAGS += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
-LDFLAGS+= -g -Wall $(Wextra) $(OPTI_O) $(SHARED) -L../../lib $(LDPATH)
+CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
+LDFLAGS+= $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(SHARED) -L../../lib $(LDPATH)
 LIBS    = $(LIBROAR)
 
Index: plugins/universal/Makefile
===================================================================
--- plugins/universal/Makefile	(revision 5821)
+++ plugins/universal/Makefile	(revision 5851)
@@ -10,6 +10,6 @@
 DEFINES+= -DROAR_DBG_PREFIX=\"'$(shell basename $+ .c)'\"
 INCLUDE = -I../../include -I../..
-CFLAGS += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
-LDFLAGS+= -g -Wall $(Wextra) $(OPTI_O) $(SHARED) -L../../lib $(LDPATH)
+CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC)
+LDFLAGS+= $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(SHARED) -L../../lib $(LDPATH)
 LIBS    = $(LIBROAR)
 
Index: plugins/xine/Makefile
===================================================================
--- plugins/xine/Makefile	(revision 4748)
+++ plugins/xine/Makefile	(revision 5851)
@@ -9,6 +9,6 @@
 
 #DEFINES=-DDEBUG
-CFLAGS += -g -Wall -O2 $(DEFINES) $(INCLUDE) $(fPIC) $(XINE_CFLAGS)
-LDFLAGS+= -g -shared -lroar $(XINE_LIBS)
+CFLAGS += $(DEBUG_g) $(Wall) -O2 $(DEFINES) $(INCLUDE) $(fPIC) $(XINE_CFLAGS)
+LDFLAGS+= $(DEBUG_g) $(Wall) -shared -lroar $(XINE_LIBS)
 
 all: ${TARGET}
Index: plugins/xmms/Makefile
===================================================================
--- plugins/xmms/Makefile	(revision 4748)
+++ plugins/xmms/Makefile	(revision 5851)
@@ -8,6 +8,6 @@
 
 #DEFINES=-DDEBUG
-CFLAGS += -g -Wall $(Wextra) $(OPTI_O) -I../../include $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) $(GTK_CFLAFS) $(XMMS_CFLAGS)
-LDFLAGS+= -g $(SHARED) $(LDPATH) -L../../lib
+CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) -I../../include $(DEFINES) $(INCLUDE) $(INCPATH) $(SHARED_CF) $(fPIC) $(GTK_CFLAFS) $(XMMS_CFLAGS)
+LDFLAGS+= $(DEBUG_g) $(Wall) $(SHARED) $(LDPATH) -L../../lib
 LIBS    = $(LIBROAR) $(GTK_LIBS) $(XMMS_LIBS)
 
Index: roarclients/Makefile
===================================================================
--- roarclients/Makefile	(revision 5824)
+++ roarclients/Makefile	(revision 5851)
@@ -25,6 +25,6 @@
 #DEFINES        = -DDEBUG
 INCLUDE    = -I../include -I./include
-CFLAGS    += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH)
-LDFLAGS   += -g -L../lib/ $(LDPATH)
+CFLAGS    += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH)
+LDFLAGS   += $(DEBUG_g) $(Wall) -L../lib/ $(LDPATH)
 LIBS       = $(LIBROAR)
 SHOUTLIBS  = $(lib_shout) $(pthread) $(LIBS)
Index: roard/Makefile
===================================================================
--- roard/Makefile	(revision 5825)
+++ roard/Makefile	(revision 5851)
@@ -17,6 +17,6 @@
 #DEFINES        = -DMONITOR_LATENCY
 INCLUDE   = -I../include -I./include
-CFLAGS   += -g -Wall $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH)
-LDFLAGS  += -g -Wall $(rdynamic) -L../lib/ $(LDPATH)
+CFLAGS   += $(DEBUG_g) $(Wall) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH)
+LDFLAGS  += $(DEBUG_g) $(Wall) $(rdynamic) -L../lib/ $(LDPATH)
 DRVLIBS   = $(lib_esd) $(lib_ossaudio) $(lib_ao) $(lib_shout) $(pthread) $(lib_sndio) $(lib_rsound) $(lib_portaudio) $(lib_pablio) $(lib_asound) $(lib_winmm) $(lib_pulse_simple) $(lib_pulse) $(lib_jack) $(lib_artsc)
 CODEC_CELT= $(lib_celt) $(lib_celt0)
Index: roarfish/Makefile
===================================================================
--- roarfish/Makefile	(revision 5270)
+++ roarfish/Makefile	(revision 5851)
@@ -8,6 +8,6 @@
 #DEFINES        = -DDEBUG
 INCLUDE = -I../include -I./include
-CFLAGS += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH)
-LDFLAGS+= -g -Wall $(Wextra) -L../lib/ $(LDPATH)
+CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH)
+LDFLAGS+= $(DEBUG_g) $(Wall) $(Wextra) -L../lib/ $(LDPATH)
 LIBS    = $(LIBROAR) $(lib_fishsound) $(lib_oggz)
 
Index: tests/Makefile
===================================================================
--- tests/Makefile	(revision 5746)
+++ tests/Makefile	(revision 5851)
@@ -5,6 +5,6 @@
 
 INCLUDE = -I../include
-CFLAGS += -g -Wall $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(fPIC)
-LDFLAGS+= -g -Wall $(Wextra) $(OPTI_O) -L../lib $(LDPATH)
+CFLAGS += $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) $(DEFINES) $(INCLUDE) $(INCPATH) $(fPIC)
+LDFLAGS+= $(DEBUG_g) $(Wall) $(Wextra) $(OPTI_O) -L../lib $(LDPATH)
 
 all: