Index: ChangeLog
===================================================================
--- ChangeLog	(revision 5292)
+++ ChangeLog	(revision 5295)
@@ -1,4 +1,4 @@
 v. 1.0beta0 - ?
-	* Updated API (SONAME change) (Closes: #184, #185, #128, #135, #134, #133)
+	* Updated API (SONAME change) (Closes: #184, #185, #128, #135, #134, #133, #129)
 	* Do not set errno to zero in ogg_vorbis codec filter (Closes: #191)
 	* Updated data types for struct roar_audio_info (Closes: #189)
Index: libroar/auth.c
===================================================================
--- libroar/auth.c	(revision 5158)
+++ libroar/auth.c	(revision 5295)
@@ -145,5 +145,5 @@
 
  if ( mes.datalen > sizeof(mes.data) ) {
-  data = malloc(mes.datalen);
+  data = roar_mm_malloc(mes.datalen);
   if ( data == NULL )
    return -1;
@@ -208,5 +208,5 @@
 
  if ( data != NULL )
-  free(data);
+  roar_mm_free(data);
 
  ROAR_DBG("roar_auth_ask_server(con=%p, authmes=%p) = %i // next: %i", con, authmes, ret, authmes->type);
@@ -418,5 +418,5 @@
 
  if ( (ames->len + 4) > sizeof(mes->data) ) {
-  *data = malloc(ames->len + 4);
+  *data = roar_mm_malloc(ames->len + 4);
   if ( *data == NULL )
    return -1;
Index: libroar/caps.c
===================================================================
--- libroar/caps.c	(revision 5149)
+++ libroar/caps.c	(revision 5295)
@@ -57,5 +57,5 @@
    return -1;
 
-  if ( (*data = malloc(needlen)) == NULL )
+  if ( (*data = roar_mm_malloc(needlen)) == NULL )
    return -1;
 
@@ -179,5 +179,5 @@
  if ( mes.cmd != ROAR_CMD_OK ) {
   if ( data != NULL )
-   free(data);
+   roar_mm_free(data);
   return -1;
  }
@@ -185,5 +185,5 @@
  if ( roar_caps_from_msg(&caps, &mes, data) == -1 ) {
   if ( data != NULL )
-   free(data);
+   roar_mm_free(data);
   return -1;
  }
@@ -192,5 +192,5 @@
  if ( caps.version != 0 || caps.type != ROAR_CT_STANDARDS || (caps.len & 0x3) != 0 ) {
   if ( data != NULL )
-   free(data);
+   roar_mm_free(data);
   return -1;
  }
@@ -200,5 +200,5 @@
   if ( *out == NULL ) {
    if ( data != NULL )
-    free(data);
+    roar_mm_free(data);
    return -1;
   }
@@ -213,5 +213,5 @@
 
  if ( data != NULL )
-  free(data);
+  roar_mm_free(data);
 
  return 0;
Index: libroar/error.c
===================================================================
--- libroar/error.c	(revision 5286)
+++ libroar/error.c	(revision 5295)
@@ -100,5 +100,5 @@
 
   roar_err_clear_errno();
-  *data = malloc(datalen);
+  *data = roar_mm_malloc(datalen);
   roar_err_from_errno();
   if ( *data == NULL )
Index: libroar/ltm.c
===================================================================
--- libroar/ltm.c	(revision 5270)
+++ libroar/ltm.c	(revision 5295)
@@ -137,5 +137,5 @@
 
  if ( buf != NULL )
-  free(buf);
+  roar_mm_free(buf);
 
  if ( ret != -1 ) {
@@ -194,5 +194,5 @@
  if ( ret == -1 || mes.cmd != ROAR_CMD_OK ) {
   if ( buf != NULL )
-   free(buf);
+   roar_mm_free(buf);
   return NULL;
  }
@@ -228,5 +228,5 @@
  if ( res == NULL ) {
   if ( buf != NULL )
-   free(buf);
+   roar_mm_free(buf);
   return NULL;
  }
@@ -243,5 +243,5 @@
 
  if ( buf != NULL )
-  free(buf);
+  roar_mm_free(buf);
  return res;
 }
Index: libroar/meta.c
===================================================================
--- libroar/meta.c	(revision 5270)
+++ libroar/meta.c	(revision 5295)
@@ -507,5 +507,5 @@
   return -1;
 
- if ( (c = malloc(((unsigned) m.data[1]) + 1)) == NULL )
+ if ( (c = roar_mm_malloc(((unsigned) m.data[1]) + 1)) == NULL )
   return -1;
 
@@ -555,5 +555,5 @@
 int roar_meta_free (struct roar_meta * meta) {
  if ( meta->value )
-  free(meta->value);
+  roar_mm_free(meta->value);
 
  return 0;
Index: libroar/proto.c
===================================================================
--- libroar/proto.c	(revision 5270)
+++ libroar/proto.c	(revision 5295)
@@ -272,5 +272,5 @@
   }
 
-  if ( (*data = malloc(mes->datalen)) == NULL ) {
+  if ( (*data = roar_mm_malloc(mes->datalen)) == NULL ) {
    roar_err_set(ROAR_ERROR_NOMEM);
    return -1;
@@ -330,5 +330,5 @@
 
  if ( data != NULL )
-  free(*data);
+  roar_mm_free(*data);
 
  roar_vio_sync(vio); // we need to do this becasue of ssl/compressed links
Index: libroar/serverinfo.c
===================================================================
--- libroar/serverinfo.c	(revision 5279)
+++ libroar/serverinfo.c	(revision 5295)
@@ -66,5 +66,5 @@
 
  if ( data != NULL )
-  free(data);
+  roar_mm_free(data);
 
  return ret;
@@ -113,5 +113,5 @@
    return -1;
 
-  mesdata = malloc(needlen);
+  mesdata = roar_mm_malloc(needlen);
 
   if ( mesdata == NULL )
Index: libroar/vs.c
===================================================================
--- libroar/vs.c	(revision 5289)
+++ libroar/vs.c	(revision 5295)
@@ -213,5 +213,5 @@
 
  if ( data != NULL )
-  free(data);
+  roar_mm_free(data);
 
  return 0;
Index: roard/clients.c
===================================================================
--- roard/clients.c	(revision 5275)
+++ roard/clients.c	(revision 5295)
@@ -654,5 +654,5 @@
 
  if ( data != NULL )
-  free(data);
+  roar_mm_free(data);
 
  ROAR_DBG("clients_check(id=%i) = %i", id, rv);
Index: roard/meta.c
===================================================================
--- roard/meta.c	(revision 5162)
+++ roard/meta.c	(revision 5295)
@@ -41,5 +41,5 @@
    s->meta[i].type = ROAR_META_TYPE_NONE;
    if ( s->meta[i].value != NULL )
-    free(s->meta[i].value);
+    roar_mm_free(s->meta[i].value);
    s->meta[i].value = NULL;
   }
@@ -164,5 +164,5 @@
   s->meta[i].type   = ROAR_META_TYPE_NONE;
   if ( s->meta[i].value )
-   free(s->meta[i].value);
+   roar_mm_free(s->meta[i].value);
   s->meta[i].value  = NULL;
   s->meta[i].key[0] = 0;
Index: roard/output.c
===================================================================
--- roard/output.c	(revision 5242)
+++ roard/output.c	(revision 5295)
@@ -201,5 +201,5 @@
 #ifdef ROAR_DRIVER_CODEC
   if ( opts == NULL ) {
-   opts = to_free = strdup("codec=" ROAR_DRIVER_CODEC);
+   opts = to_free = roar_mm_strdup("codec=" ROAR_DRIVER_CODEC);
   }
 #endif
@@ -371,5 +371,5 @@
 #ifdef ROAR_DRIVER_CODEC
    if ( to_free != NULL )
-    free(to_free);
+    roar_mm_free(to_free);
 #endif
    return -1;
@@ -439,5 +439,5 @@
 #ifdef ROAR_DRIVER_CODEC
  if ( to_free != NULL )
-  free(to_free);
+  roar_mm_free(to_free);
 #endif
 
Index: roard/req.c
===================================================================
--- roard/req.c	(revision 5279)
+++ roard/req.c	(revision 5295)
@@ -59,7 +59,7 @@
 
  if ( *data != NULL )
-  free(*data);
-
- *data = malloc(len);
+  roar_mm_free(*data);
+
+ *data = roar_mm_malloc(len);
 
  ROAR_DBG("_dataspace(mes=%p, data=%p, flags=%p, len=%llu): *data=%p", mes, data, flags, (long long unsigned int)len, *data);