Index: README
===================================================================
--- README	(revision 5891)
+++ README	(revision 5939)
@@ -67,45 +67,47 @@
 --- Tested platforms:
 
-OPERATING SYSTEM	ARCH	COMPILER	TESTED	M/STATUS	COMMENT
+OPERATING SYSTEM	ARCH	COMPILER	TESTED		M/STATUS	COMMENT
 AND VERSION					VERSION
 ---------------------------------------------------------------------------------------------------
-Debian Etch		ix86	gcc 4.1.2	current	s/OK
-Debian Etch		x86_64	gcc 4.1.2	1.0b9p1	s/OK
-Debian Lenny		ix86	gcc 4.3.2	1.0b2	s/OK
-Debian Lenny		x86_64	gcc 4.3.2	0.4b2	s/OK		No speex (why?)
-Debian ?		x86_64	gcc 4.3.4	0.3b3	m/OK
-Debian Squeeze		*	*		0.3	M/OK
-Debian Sid		ix86	gcc ?		1.0b2	M/OK
-Debian Sid		ix86	clang 2.7	0.4b4	s/WIP		Use --no-fishsound. roard broken. Why?
-Debian Sid		*	*		*	M/OK
-Debian Sid		x86_64	gcc 4.7.1	1.0b7	M/OK
-Debian Sid		x86_64	gcc 4.7.2	1.0b9p1	M/OK
-Ubuntu 9.04		ix86	gcc 4.3.3	0.2rc2	s/OK
-archlinux ?		i686	gcc 4.3.2	0.4rc0	M/OK
-Gentoo 1.12.11.1	i686	gcc 4.3.2-r3	0.3b0	s/OK
-NetBSD 1.6.1		Alpha	gcc 2.95.3	0.3b7	s/OK		gcc too old,
-									does not support debug macros
-NetBSD 4.0		i386	gcc 4.1.2	0.2	s/OK		need to use --roard-cfreq 20
-NetBSD 5		x86_64	gcc 4.1.3	0.2b?	s/?
-OpenBSD ?		x86_64	gcc ?		0.2rc2	s/OK
-OpenBSD 4.4		i386	gcc 3.3.5	1.0b9p1	s/OK
-OpenBSD 4.5		i386	gcc 3.3.5	0.2rc2	s/OK
+Debian Etch		ix86	gcc 4.1.2	current		s/OK
+Debian Etch		x86_64	gcc 4.1.2	1.0b9p1		s/OK
+Debian Lenny		ix86	gcc 4.3.2	1.0b2		s/OK
+Debian Lenny		x86_64	gcc 4.3.2	0.4b2		s/OK		No speex (why?)
+Debian ?		x86_64	gcc 4.3.4	0.3b3		m/OK
+Debian Squeeze		*	*		0.3		M/OK
+Debian Wheezy		x86_64	gcc 4.7.2	1.0b10p0	s/OK
+Debian Sid		ix86	gcc ?		1.0b2		M/OK
+Debian Sid		ix86	clang 2.7	0.4b4		s/WIP		Use --no-fishsound. roard broken. Why?
+Debian Sid		*	*		*		M/OK
+Debian Sid		x86_64	gcc 4.7.1	1.0b7		M/OK
+Debian Sid		x86_64	gcc 4.7.2	1.0b9p1		M/OK
+Ubuntu 9.04		ix86	gcc 4.3.3	0.2rc2		s/OK
+archlinux ?		i686	gcc 4.3.2	0.4rc0		M/OK
+Gentoo 1.12.11.1	i686	gcc 4.3.2-r3	0.3b0		s/OK
+NetBSD 1.6.1		Alpha	gcc 2.95.3	0.3b7		s/OK		gcc too old,
+										does not support debug macros
+NetBSD 4.0		i386	gcc 4.1.2	0.2		s/OK		need to use --roard-cfreq 20
+NetBSD 5		x86_64	gcc 4.1.3	0.2b?		s/?
+OpenBSD ?		x86_64	gcc ?		0.2rc2		s/OK
+OpenBSD 4.4		i386	gcc 3.3.5	1.0b10p0	s/OK
+OpenBSD 4.5		i386	gcc 3.3.5	0.2rc2		s/OK
 OpenBSD 5.0		x86_64	gcc 4.2.1	1.0b9p1
-OpenVMS V8.3		Alpha	HP C V7.3-009	0.4b1	s/WIP		Work in process. Ask on ML.
-FreeBSD 6.2		i386	gcc 3.4.6	0.1b4	s/OK
-FreeBSD 7.1		i386	gcc 4.2.1	0.2	s/OK
-FreeBSD 7.2		i386	gcc 4.2.1	0.4b0	s/OK
-FreeBSD 7.3		i386	gcc 4.2.1	1.0b0	s/OK
-FreeBSD 7.4		i386	gcc 4.2.1	1.0b9p0	s/OK
-OpenSolaris 5.11	i386	gcc 3.4.3	?	s/OK
-Darwin 9.4.0		i386	gcc 4.0.1	0.1b?	s/OK
-Cygwin 1.5.25		i686	gcc 3.4.4	0.3b6	s/Client+	Client libs work, roard only partly,
-									Problems with libroaross, need to be disabled
-									Hostsystem: WinXP Home
-WinXP Home		ix86	mingw 3.4.5	0.3	s/Client+	Some Clients work, roard only partly
-									was build on Debian Etch
-Wine 0.9.25		ix86	mingw 3.4.5	1.0b9p0	s/Client+	Some Clients work, roard only partly
-									Hostsystem: Debian Etch
-WinXP/MSys		ix86	mingw 4.7.0	1.0b9p0	m/OK		Automatic Build Bot.
+OpenVMS V8.3		Alpha	HP C V7.3-009	0.4b1		s/WIP		Work in process. Ask on ML.
+FreeBSD 6.2		i386	gcc 3.4.6	0.1b4		s/OK
+FreeBSD 7.1		i386	gcc 4.2.1	0.2		s/OK
+FreeBSD 7.2		i386	gcc 4.2.1	0.4b0		s/OK
+FreeBSD 7.3		i386	gcc 4.2.1	1.0b0		s/OK
+FreeBSD 7.4		i386	gcc 4.2.1	1.0b9p0		s/OK
+OpenSolaris 5.11	i386	gcc 3.4.3	?		s/OK
+Darwin 9.4.0		i386	gcc 4.0.1	0.1b?		s/OK
+Cygwin 1.5.25		i686	gcc 3.4.4	0.3b6		s/Client+	Client libs work, roard only partly,
+										Problems with libroaross,
+										need to be disabled.
+										Hostsystem: WinXP Home
+WinXP Home		ix86	mingw 3.4.5	0.3		s/Client+	Some Clients work, roard only partly
+										was build on Debian Etch
+Wine 0.9.25		ix86	mingw 3.4.5	1.0b9p0		s/Client+	Some Clients work, roard only partly
+										Hostsystem: Debian Etch
+WinXP/MSys		ix86	mingw 4.7.0	1.0b10p0	m/OK		Automatic Build Bot.
 
 Tested Version: