Index: plugins/alsa/mixer.c
===================================================================
--- plugins/alsa/mixer.c	(revision 5823)
+++ plugins/alsa/mixer.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2014
  *
  *  This file is part of libroar a part of RoarAudio,
Index: plugins/alsa/pcm.c
===================================================================
--- plugins/alsa/pcm.c	(revision 5823)
+++ plugins/alsa/pcm.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2014
  *      Copyright (C) Hans-Kristian 'maister' Arntzen - 2010
  *
Index: plugins/alsa/pcm_roar.c
===================================================================
--- plugins/alsa/pcm_roar.c	(revision 5823)
+++ plugins/alsa/pcm_roar.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2014
  *      Copyright (C) Hans-Kristian 'maister' Arntzen - 2010
  *
Index: plugins/alsa/roar.c
===================================================================
--- plugins/alsa/roar.c	(revision 5823)
+++ plugins/alsa/roar.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2014
  *
  *  This file is part of libroar a part of RoarAudio,
Index: plugins/alsa/roar.h
===================================================================
--- plugins/alsa/roar.h	(revision 5823)
+++ plugins/alsa/roar.h	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2014
  *      Copyright (C) Hans-Kristian 'maister' Arntzen - 2010
  *
Index: plugins/alsa/thread.c
===================================================================
--- plugins/alsa/thread.c	(revision 5823)
+++ plugins/alsa/thread.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2014
  *      Copyright (C) Hans-Kristian 'maister' Arntzen - 2010
  *
Index: plugins/alsavs/ctl_roar.c
===================================================================
--- plugins/alsavs/ctl_roar.c	(revision 5823)
+++ plugins/alsavs/ctl_roar.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2014
  *
  *  This file is part of libroar a part of RoarAudio,
Index: plugins/alsavs/pcm_roar.c
===================================================================
--- plugins/alsavs/pcm_roar.c	(revision 5823)
+++ plugins/alsavs/pcm_roar.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2014
  *      Copyright (C) Hans-Kristian 'maister' Arntzen - 2010-2011
  *
Index: plugins/alsavs/roar.c
===================================================================
--- plugins/alsavs/roar.c	(revision 5823)
+++ plugins/alsavs/roar.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2014
  *
  *  This file is part of libroar a part of RoarAudio,
Index: plugins/alsavs/roar.h
===================================================================
--- plugins/alsavs/roar.h	(revision 5823)
+++ plugins/alsavs/roar.h	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2014
  *      Copyright (C) Hans-Kristian 'maister' Arntzen - 2010-2011
  *
Index: plugins/alsavs/thread.c
===================================================================
--- plugins/alsavs/thread.c	(revision 5823)
+++ plugins/alsavs/thread.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2014
  *      Copyright (C) Hans-Kristian 'maister' Arntzen - 2010
  *
Index: plugins/ao/ao_roar.c
===================================================================
--- plugins/ao/ao_roar.c	(revision 5823)
+++ plugins/ao/ao_roar.c	(revision 5961)
@@ -3,5 +3,5 @@
  *  ao_roar.c
  *
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2014
  *      based on ao_esd.c of libao by Stan Seibert - July 2000, July 2001
  *
Index: plugins/audacious/all.h
===================================================================
--- plugins/audacious/all.h	(revision 5823)
+++ plugins/audacious/all.h	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft    - 2008-2013,
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft    - 2008-2014,
  *                    Daniel Duntemann <dauxx@dauxx.org> - 2009
  *
Index: plugins/audacious/gui.c
===================================================================
--- plugins/audacious/gui.c	(revision 5823)
+++ plugins/audacious/gui.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft    - 2008-2013,
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft    - 2008-2014,
  *                    Daniel Duntemann <dauxx@dauxx.org> - 2009
  *
Index: plugins/audacious/roar.c
===================================================================
--- plugins/audacious/roar.c	(revision 5823)
+++ plugins/audacious/roar.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft    - 2008-2013,
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft    - 2008-2014,
  *                    Daniel Duntemann <dauxx@dauxx.org> - 2009
  *
Index: plugins/gstreamer0.10/gstroar.c
===================================================================
--- plugins/gstreamer0.10/gstroar.c	(revision 5823)
+++ plugins/gstreamer0.10/gstroar.c	(revision 5961)
@@ -3,5 +3,5 @@
  * Copyright (C) <1999>      Erik Walthinsen <omega@cse.ogi.edu>
  * Copyright (C) <2003>      David A. Schleef <ds@schleef.org>
- * Copyright (C) <2008-2013> Philipp 'ph3-der-loewe' Schafft
+ * Copyright (C) <2008-2014> Philipp 'ph3-der-loewe' Schafft
  *                                    <lion@lion.leolix.org>
  *
Index: plugins/gstreamer0.10/roarmixer.c
===================================================================
--- plugins/gstreamer0.10/roarmixer.c	(revision 5823)
+++ plugins/gstreamer0.10/roarmixer.c	(revision 5961)
@@ -2,5 +2,5 @@
 /* GStreamer
  * Copyright (C) <2005>      Arwed v. Merkatz <v.merkatz@gmx.net>
- * Copyright (C) <2008-2013> Philipp 'ph3-der-loewe' Schafft
+ * Copyright (C) <2008-2014> Philipp 'ph3-der-loewe' Schafft
  *                                    <lion@lion.leolix.org>
  *
Index: plugins/gstreamer0.10/roarmixer.h
===================================================================
--- plugins/gstreamer0.10/roarmixer.h	(revision 5823)
+++ plugins/gstreamer0.10/roarmixer.h	(revision 5961)
@@ -2,5 +2,5 @@
 /* GStreamer
  * Copyright (C) <2005>      Arwed v. Merkatz <v.merkatz@gmx.net>
- * Copyright (C) <2008-2013> Philipp 'ph3-der-loewe' Schafft
+ * Copyright (C) <2008-2014> Philipp 'ph3-der-loewe' Schafft
  *                                    <lion@lion.leolix.org>
  *
Index: plugins/gstreamer0.10/roarsink.c
===================================================================
--- plugins/gstreamer0.10/roarsink.c	(revision 5823)
+++ plugins/gstreamer0.10/roarsink.c	(revision 5961)
@@ -2,5 +2,5 @@
 /* GStreamer
  * Copyright (C) <2005>      Arwed v. Merkatz <v.merkatz@gmx.net>
- * Copyright (C) <2008-2013> Philipp 'ph3-der-loewe' Schafft
+ * Copyright (C) <2008-2014> Philipp 'ph3-der-loewe' Schafft
  *                            <lion@lion.leolix.org>
  *
Index: plugins/gstreamer0.10/roarsink.h
===================================================================
--- plugins/gstreamer0.10/roarsink.h	(revision 5823)
+++ plugins/gstreamer0.10/roarsink.h	(revision 5961)
@@ -2,5 +2,5 @@
 /* GStreamer
  * Copyright (C) <2005>      Arwed v. Merkatz <v.merkatz@gmx.net>
- * Copyright (C) <2008-2013> Philipp 'ph3-der-loewe' Schafft
+ * Copyright (C) <2008-2014> Philipp 'ph3-der-loewe' Schafft
  *                                    <lion@lion.leolix.org>
  *
Index: plugins/mplayer/ao_roar.c
===================================================================
--- plugins/mplayer/ao_roar.c	(revision 5823)
+++ plugins/mplayer/ao_roar.c	(revision 5961)
@@ -4,5 +4,5 @@
  *
  * copyright (c) 2002 Juergen Keil <jk@tools.de>
- * copyright (c) 2008-2013 Philipp 'ph3-der-loewe' Schafft
+ * copyright (c) 2008-2014 Philipp 'ph3-der-loewe' Schafft
  *
  * This file is part of RoarAudio, based on a file from MPlayer.
Index: plugins/roard/dmx-i2c.c
===================================================================
--- plugins/roard/dmx-i2c.c	(revision 5906)
+++ plugins/roard/dmx-i2c.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2014
  *
  *  This file is part of roard a part of RoarAudio,
Index: plugins/roard/dmx-random.c
===================================================================
--- plugins/roard/dmx-random.c	(revision 5907)
+++ plugins/roard/dmx-random.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2014
  *
  *  This file is part of roard a part of RoarAudio,
Index: plugins/roard/dmx-strobe.c
===================================================================
--- plugins/roard/dmx-strobe.c	(revision 5937)
+++ plugins/roard/dmx-strobe.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2014
  *
  *  This file is part of roard a part of RoarAudio,
Index: plugins/roard/dmx-waveform.c
===================================================================
--- plugins/roard/dmx-waveform.c	(revision 5823)
+++ plugins/roard/dmx-waveform.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2014
  *
  *  This file is part of roard a part of RoarAudio,
Index: plugins/roard/listenpty.c
===================================================================
--- plugins/roard/listenpty.c	(revision 5823)
+++ plugins/roard/listenpty.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2014
  *
  *  This file is part of roard a part of RoarAudio,
Index: plugins/roard/protocol-esound.c
===================================================================
--- plugins/roard/protocol-esound.c	(revision 5823)
+++ plugins/roard/protocol-esound.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2009-2014
  *
  *  This file is part of roard a part of RoarAudio,
Index: plugins/roard/protocol-gopher.c
===================================================================
--- plugins/roard/protocol-gopher.c	(revision 5837)
+++ plugins/roard/protocol-gopher.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2014
  *
  *  This file is part of roard a part of RoarAudio,
Index: plugins/roard/protocol-irc.c
===================================================================
--- plugins/roard/protocol-irc.c	(revision 5900)
+++ plugins/roard/protocol-irc.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2014
  *
  *  This file is part of roard a part of RoarAudio,
Index: plugins/roard/protocol-rplay.c
===================================================================
--- plugins/roard/protocol-rplay.c	(revision 5823)
+++ plugins/roard/protocol-rplay.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2010-2014
  *
  *  This file is part of roard a part of RoarAudio,
Index: plugins/roard/service-client.c
===================================================================
--- plugins/roard/service-client.c	(revision 5888)
+++ plugins/roard/service-client.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2013-2014
  *
  *  This file is part of roard a part of RoarAudio,
Index: plugins/universal/debug-notify.c
===================================================================
--- plugins/universal/debug-notify.c	(revision 5923)
+++ plugins/universal/debug-notify.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2012-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2012-2014
  *
  *  This file is part of roard a part of RoarAudio,
Index: plugins/universal/helloworld.c
===================================================================
--- plugins/universal/helloworld.c	(revision 5823)
+++ plugins/universal/helloworld.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2012-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2012-2014
  *
  *  This file is part of roard a part of RoarAudio,
Index: plugins/universal/piface.c
===================================================================
--- plugins/universal/piface.c	(revision 5904)
+++ plugins/universal/piface.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2013-2014
  *
  *  This file is part of roard a part of RoarAudio,
Index: plugins/universal/plugin-info.c
===================================================================
--- plugins/universal/plugin-info.c	(revision 5823)
+++ plugins/universal/plugin-info.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2014
  *
  *  This file is part of roard a part of RoarAudio,
Index: plugins/universal/protocol-daytime.c
===================================================================
--- plugins/universal/protocol-daytime.c	(revision 5823)
+++ plugins/universal/protocol-daytime.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2014
  *
  *  This file is part of roard a part of RoarAudio,
Index: plugins/universal/protocol-discard.c
===================================================================
--- plugins/universal/protocol-discard.c	(revision 5823)
+++ plugins/universal/protocol-discard.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2014
  *
  *  This file is part of roard a part of RoarAudio,
Index: plugins/universal/protocol-echo.c
===================================================================
--- plugins/universal/protocol-echo.c	(revision 5823)
+++ plugins/universal/protocol-echo.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2014
  *
  *  This file is part of roard a part of RoarAudio,
Index: plugins/universal/protocol-http.c
===================================================================
--- plugins/universal/protocol-http.c	(revision 5823)
+++ plugins/universal/protocol-http.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2011-2014
  *
  *  This file is part of roard a part of RoarAudio,
Index: plugins/universal/service-about.c
===================================================================
--- plugins/universal/service-about.c	(revision 5823)
+++ plugins/universal/service-about.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2013-2014
  *
  *  This file is part of roard a part of RoarAudio,
Index: plugins/universal/tic-tac-toe.c
===================================================================
--- plugins/universal/tic-tac-toe.c	(revision 5823)
+++ plugins/universal/tic-tac-toe.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2012-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2012-2014
  *
  *  This file is part of roard a part of RoarAudio,
Index: plugins/xine/roar.c
===================================================================
--- plugins/xine/roar.c	(revision 5823)
+++ plugins/xine/roar.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2014
  *      Copyright (C) 2000-2003 the xine project
  *
Index: plugins/xmms/all.h
===================================================================
--- plugins/xmms/all.h	(revision 5823)
+++ plugins/xmms/all.h	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2014
  *
  *  This file is part of the XMMS RoarAudio output plugin a part of RoarAudio,
Index: plugins/xmms/gui.c
===================================================================
--- plugins/xmms/gui.c	(revision 5823)
+++ plugins/xmms/gui.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2014
  *
  *  This file is part of the XMMS RoarAudio output plugin a part of RoarAudio,
Index: plugins/xmms/roar.c
===================================================================
--- plugins/xmms/roar.c	(revision 5823)
+++ plugins/xmms/roar.c	(revision 5961)
@@ -2,5 +2,5 @@
 
 /*
- *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2013
+ *      Copyright (C) Philipp 'ph3-der-loewe' Schafft - 2008-2014
  *
  *  This file is part of the XMMS RoarAudio output plugin a part of RoarAudio,